bftsmart.tom.server

## Interface RequestVerifier

    public interface RequestVerifier

Classes that implement this interface are invoked within consensus instances upon reception of a PROPOSE message in order to enforce the "external validity". More precisely, objects extending this class must verify if the requests are valid in accordance to the application semantics (and not an erroneous requests sent by a Byzantine leader).

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isValidRequest(byte[] request)`

### Method Detail

#### isValidRequest

    boolean isValidRequest(byte[] request)